org.hibernate.search.spi.impl

## Class IndexedTypeSets

- java.lang.Object
- - org.hibernate.search.spi.impl.IndexedTypeSets

-     public final class IndexedTypeSets
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexedTypeSet` | `composite(IndexedTypeSet set, IndexedTypeIdentifier additionalId)`
    `static IndexedTypeSet` | `composite(IndexedTypeSet setA, IndexedTypeSet setB)`
    `static IndexedTypeSet` | `empty()`
    `static IndexedTypeSet` | `fromClass(Class<?> clazz)`
    `static IndexedTypeSet` | `fromClasses(Class<?>... classes)`
    `static IndexedTypeSet` | `fromIdentifiers(IndexedTypeIdentifier... types)`
    `static IndexedTypeSet` | `fromIdentifiers(Iterable<IndexedTypeIdentifier> entityTypes)`
    `static Collector<IndexedTypeIdentifier,?,IndexedTypeSet>` | `streamCollector()`
    `static IndexedTypeSet` | `subtraction(IndexedTypeSet referenceSet, IndexedTypeSet subtraend)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromClasses

          public static IndexedTypeSet fromClasses(Class<?>... classes)

    - #### fromClass

          public static IndexedTypeSet fromClass(Class<?> clazz)

    - #### empty

          public static IndexedTypeSet empty()

    - #### fromIdentifiers

          public static IndexedTypeSet fromIdentifiers(Iterable<IndexedTypeIdentifier> entityTypes)

    - #### fromIdentifiers

          public static IndexedTypeSet fromIdentifiers(IndexedTypeIdentifier... types)

    - #### composite

          public static IndexedTypeSet composite(IndexedTypeSet set,
                                                 IndexedTypeIdentifier additionalId)

    - #### composite

          public static IndexedTypeSet composite(IndexedTypeSet setA,
                                                 IndexedTypeSet setB)

    - #### subtraction

          public static IndexedTypeSet subtraction(IndexedTypeSet referenceSet,
                                                   IndexedTypeSet subtraend)

    - #### streamCollector

          public static Collector<IndexedTypeIdentifier,?,IndexedTypeSet> streamCollector()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved